> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Write Structured Content

> Save structured content and regenerate the binary file (DOCX/XLSX/PPTX).



## OpenAPI

````yaml /openapi.json put /api/v1/spaces/{space_type}/{space_id}/files/{file_id}/structured-content
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/spaces/{space_type}/{space_id}/files/{file_id}/structured-content:
    put:
      tags:
        - Space Files
        - space-files
      summary: Write Structured Content
      description: Save structured content and regenerate the binary file (DOCX/XLSX/PPTX).
      operationId: >-
        write_structured_content_api_v1_spaces__space_type___space_id__files__file_id__structured_content_put
      parameters:
        - name: space_type
          in: path
          required: true
          schema:
            type: string
            title: Space Type
        - name: space_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Space Id
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: File Id
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: true
              type: object
              title: Body
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Write Structured Content Api V1 Spaces  Space Type  
                  Space Id  Files  File Id  Structured Content Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````